## WebKitDOMHTMLSelectElement WebKitDOMHTMLSelectElement |

## Functions

WebKitDOMNode * | webkit_dom_html_select_element_item ()
WebKitDOMNode * | webkit_dom_html_select_element_named_item ()
void | webkit_dom_html_select_element_add ()
void | webkit_dom_html_select_element_remove ()
gboolean | webkit_dom_html_select_element_check_validity ()
void | webkit_dom_html_select_element_set_custom_validity ()
gboolean | webkit_dom_html_select_element_get_autofocus ()
void | webkit_dom_html_select_element_set_autofocus ()
gboolean | webkit_dom_html_select_element_get_disabled ()
void | webkit_dom_html_select_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_select_element_get_form ()
gboolean | webkit_dom_html_select_element_get_multiple ()
void | webkit_dom_html_select_element_set_multiple ()
gchar * | webkit_dom_html_select_element_get_name ()
void | webkit_dom_html_select_element_set_name ()
gboolean | webkit_dom_html_select_element_get_required ()
void | webkit_dom_html_select_element_set_required ()
glong | webkit_dom_html_select_element_get_size ()
void | webkit_dom_html_select_element_set_size ()
WebKitDOMHTMLOptionsCollection * | webkit_dom_html_select_element_get_options ()
gulong | webkit_dom_html_select_element_get_length ()
void | webkit_dom_html_select_element_set_length ()
WebKitDOMHTMLCollection * | webkit_dom_html_select_element_get_selected_options ()
glong | webkit_dom_html_select_element_get_selected_index ()
void | webkit_dom_html_select_element_set_selected_index ()
gchar * | webkit_dom_html_select_element_get_value ()
void | webkit_dom_html_select_element_set_value ()
gboolean | webkit_dom_html_select_element_get_will_validate ()
WebKitDOMValidityState * | webkit_dom_html_select_element_get_validity ()
gchar * | webkit_dom_html_select_element_get_validation_message ()
WebKitDOMNodeList * | webkit_dom_html_select_element_get_labels ()

## Properties

gboolean | autofocus | Read / Write
gboolean | disabled | Read / Write
WebKitDOMHTMLFormElement * | form | Read
WebKitDOMNodeList * | labels | Read
gulong | length | Read / Write
gboolean | multiple | Read / Write
gchar * | name | Read / Write
WebKitDOMHTMLOptionsCollection * | options | Read
gboolean | required | Read / Write
glong | selected-index | Read / Write
WebKitDOMHTMLCollection * | selected-options | Read
glong | size | Read / Write
gchar * | type | Read
gchar * | validation-message | Read
WebKitDOMValidityState * | validity | Read
gchar * | value | Read / Write
gboolean | will-validate | Read

## Types and Values

| WebKitDOMHTMLSelectElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLSelectElement

## Implemented Interfaces

WebKitDOMHTMLSelectElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_select_element_item ()

    WebKitDOMNode *
    webkit_dom_html_select_element_item (WebKitDOMHTMLSelectElement *self,
                                         gulong index);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
index | A gulong |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_html_select_element_named_item ()

    WebKitDOMNode *
    webkit_dom_html_select_element_named_item
                                   (WebKitDOMHTMLSelectElement *self,
                                    const gchar *name);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
name | A gchar |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_html_select_element_add ()

    void
    webkit_dom_html_select_element_add (WebKitDOMHTMLSelectElement *self,
                                        WebKitDOMHTMLElement *element,
                                        WebKitDOMHTMLElement *before,
                                        GError **error);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
element | A WebKitDOMHTMLElement |
before | A WebKitDOMHTMLElement |
error | GError |

### webkit_dom_html_select_element_remove ()

    void
    webkit_dom_html_select_element_remove (WebKitDOMHTMLSelectElement *self,
                                           glong index);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
index | A glong |

### webkit_dom_html_select_element_check_validity ()

    gboolean
    webkit_dom_html_select_element_check_validity
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gboolean

### webkit_dom_html_select_element_set_custom_validity ()

    void
    webkit_dom_html_select_element_set_custom_validity
                                   (WebKitDOMHTMLSelectElement *self,
                                    const gchar *error);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
error | A gchar |

### webkit_dom_html_select_element_get_autofocus ()

    gboolean
    webkit_dom_html_select_element_get_autofocus
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gboolean

### webkit_dom_html_select_element_set_autofocus ()

    void
    webkit_dom_html_select_element_set_autofocus
                                   (WebKitDOMHTMLSelectElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A gboolean |

### webkit_dom_html_select_element_get_disabled ()

    gboolean
    webkit_dom_html_select_element_get_disabled
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gboolean

### webkit_dom_html_select_element_set_disabled ()

    void
    webkit_dom_html_select_element_set_disabled
                                   (WebKitDOMHTMLSelectElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A gboolean |

### webkit_dom_html_select_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_select_element_get_form
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_select_element_get_multiple ()

    gboolean
    webkit_dom_html_select_element_get_multiple
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gboolean

### webkit_dom_html_select_element_set_multiple ()

    void
    webkit_dom_html_select_element_set_multiple
                                   (WebKitDOMHTMLSelectElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A gboolean |

### webkit_dom_html_select_element_get_name ()

    gchar *
    webkit_dom_html_select_element_get_name
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gchar

### webkit_dom_html_select_element_set_name ()

    void
    webkit_dom_html_select_element_set_name
                                   (WebKitDOMHTMLSelectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A gchar |

### webkit_dom_html_select_element_get_required ()

    gboolean
    webkit_dom_html_select_element_get_required
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gboolean

### webkit_dom_html_select_element_set_required ()

    void
    webkit_dom_html_select_element_set_required
                                   (WebKitDOMHTMLSelectElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A gboolean |

### webkit_dom_html_select_element_get_size ()

    glong
    webkit_dom_html_select_element_get_size
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A glong

### webkit_dom_html_select_element_set_size ()

    void
    webkit_dom_html_select_element_set_size
                                   (WebKitDOMHTMLSelectElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A glong |

### webkit_dom_html_select_element_get_options ()

    WebKitDOMHTMLOptionsCollection *
    webkit_dom_html_select_element_get_options
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A WebKitDOMHTMLOptionsCollection.

[transfer full]

### webkit_dom_html_select_element_get_length ()

    gulong
    webkit_dom_html_select_element_get_length
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gulong

### webkit_dom_html_select_element_set_length ()

    void
    webkit_dom_html_select_element_set_length
                                   (WebKitDOMHTMLSelectElement *self,
                                    gulong value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A gulong |
error | GError |

### webkit_dom_html_select_element_get_selected_options ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_select_element_get_selected_options
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_select_element_get_selected_index ()

    glong
    webkit_dom_html_select_element_get_selected_index
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A glong

### webkit_dom_html_select_element_set_selected_index ()

    void
    webkit_dom_html_select_element_set_selected_index
                                   (WebKitDOMHTMLSelectElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A glong |

### webkit_dom_html_select_element_get_value ()

    gchar *
    webkit_dom_html_select_element_get_value
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gchar

### webkit_dom_html_select_element_set_value ()

    void
    webkit_dom_html_select_element_set_value
                                   (WebKitDOMHTMLSelectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLSelectElement |
value | A gchar |

### webkit_dom_html_select_element_get_will_validate ()

    gboolean
    webkit_dom_html_select_element_get_will_validate
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gboolean

### webkit_dom_html_select_element_get_validity ()

    WebKitDOMValidityState *
    webkit_dom_html_select_element_get_validity
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A WebKitDOMValidityState.

[transfer full]

### webkit_dom_html_select_element_get_validation_message ()

    gchar *
    webkit_dom_html_select_element_get_validation_message
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A gchar

### webkit_dom_html_select_element_get_labels ()

    WebKitDOMNodeList *
    webkit_dom_html_select_element_get_labels
                                   (WebKitDOMHTMLSelectElement *self);

#### Parameters

self | A WebKitDOMHTMLSelectElement |

#### Returns

A WebKitDOMNodeList.

[transfer full]

## Types and Values

### WebKitDOMHTMLSelectElement

    typedef struct _WebKitDOMHTMLSelectElement WebKitDOMHTMLSelectElement;

## Property Details

### The `“autofocus”` property

      “autofocus”                gboolean

read-write gboolean HTMLSelectElement:autofocus.

Flags: Read / Write

Default value: FALSE

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLSelectElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLSelectElement:form.

Flags: Read

### The `“labels”` property

      “labels”                   WebKitDOMNodeList *

read-only WebKitDOMNodeList* HTMLSelectElement:labels.

Flags: Read

### The `“length”` property

      “length”                   gulong

read-write gulong HTMLSelectElement:length.

Flags: Read / Write

### The `“multiple”` property

      “multiple”                 gboolean

read-write gboolean HTMLSelectElement:multiple.

Flags: Read / Write

Default value: FALSE

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLSelectElement:name.

Flags: Read / Write

Default value: ""

### The `“options”` property

      “options”                  WebKitDOMHTMLOptionsCollection *

read-only WebKitDOMHTMLOptionsCollection* HTMLSelectElement:options.

Flags: Read

### The `“required”` property

      “required”                 gboolean

read-write gboolean HTMLSelectElement:required.

Flags: Read / Write

Default value: FALSE

### The `“selected-index”` property

      “selected-index”           glong

read-write glong HTMLSelectElement:selected-index.

Flags: Read / Write

Default value: 0

### The `“selected-options”` property

      “selected-options”         WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLSelectElement:selected-options.

Flags: Read

### The `“size”` property

      “size”                     glong

read-write glong HTMLSelectElement:size.

Flags: Read / Write

Default value: 0

### The `“type”` property

      “type”                     gchar *

read-only gchar* HTMLSelectElement:type.

Flags: Read

Default value: ""

### The `“validation-message”` property

      “validation-message”       gchar *

read-only gchar* HTMLSelectElement:validation-message.

Flags: Read

Default value: ""

### The `“validity”` property

      “validity”                 WebKitDOMValidityState *

read-only WebKitDOMValidityState* HTMLSelectElement:validity.

Flags: Read

### The `“value”` property

      “value”                    gchar *

read-write gchar* HTMLSelectElement:value.

Flags: Read / Write

Default value: ""

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLSelectElement:will-validate.

Flags: Read

Default value: FALSE